<html>
<head>
<title>Ogre::QueuedRenderableCollection::DepthSortDescendingLess Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html">DepthSortDescendingLess</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::QueuedRenderableCollection::DepthSortDescendingLess Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::QueuedRenderableCollection::DepthSortDescendingLess" -->
<p>Comparator to order objects by descending camera distance.  
 <a href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code></p>

<p><a href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#ad7c5f19a708502c538b73c7ee8e3ca1f">DepthSortDescendingLess</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool <a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#ae7f6866b54ba54e39ad26d5b706771aa">operator()</a> (const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;a, const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;b) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#a59ff46e2fa195e05f28518e32c07c7db">camera</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Comparator to order objects by descending camera distance. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00157">157</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad7c5f19a708502c538b73c7ee8e3ca1f"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::DepthSortDescendingLess::DepthSortDescendingLess" ref="ad7c5f19a708502c538b73c7ee8e3ca1f" args="(const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#ad7c5f19a708502c538b73c7ee8e3ca1f">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::DepthSortDescendingLess</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00161">161</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae7f6866b54ba54e39ad26d5b706771aa"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()" ref="ae7f6866b54ba54e39ad26d5b706771aa" args="(const RenderablePass &amp;a, const RenderablePass &amp;b) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator() </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00166">166</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="OgrePass_8h_source.html#l01484">Ogre::Pass::getHash()</a>, <a class="el" href="classOgre_1_1Renderable.html#a32353addc2f1d02512314b5d1a53c5c1">Ogre::Renderable::getSquaredViewDepth()</a>, <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00056">Ogre::RenderablePass::pass</a>, <a class="el" href="classOgre_1_1Math.html#a890336e0e4b6914024bfefd79c08f432">Ogre::Math::RealEqual()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00054">Ogre::RenderablePass::renderable</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a59ff46e2fa195e05f28518e32c07c7db"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::DepthSortDescendingLess::camera" ref="a59ff46e2fa195e05f28518e32c07c7db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Camera.html">Camera</a>* <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#a59ff46e2fa195e05f28518e32c07c7db">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::camera</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00159">159</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
